icartt
============================

icartt is an ICARTT file format reader and writer

The ICARTT data format is described here: https://www-air.larc.nasa.gov/missions/etc/IcarttDataFormat.htm

.. contents::
   :local:
   :depth: 2

Installation
------------

.. include:: ../../icartt/INSTALL.rst

Example
------------

::

   import icartt

   # load a new dataset from an existing file
   ict = icartt.Dataset('path/to/example.ict')

   # list variable names
   ict.varnames
   # e.g. ['Fractional_Day', 'UTC', 'JDAY', 'INDEX', 'FLIGHT', 'LOCAL_SUN_TIME', ...

   # get data for variable 'UTC':
   ict['UTC']

   # some metadata
   ict.organization
   ict.dataSource
   ict.mission

   # write to (other) file:
   with open('path/to/output.ict', 'wb') as f:
      ict.write(f)

API
----

.. module:: icartt

Variable
^^^^^^^^^^

.. autoclass:: Variable


Dataset
^^^^^^^^^^

.. autoclass:: Dataset
